TlbCoClass (JNA API)
Description: declaration: package: com.sun.jna.platform.win32.COM.tlb.imp, class: TlbCoClass

Package com.sun.jna.platform.win32.COM.tlb.imp

# Class TlbCoClass

java.lang.Object
com.sun.jna.platform.win32.COM.tlb.imp.TlbBase
com.sun.jna.platform.win32.COM.tlb.imp.TlbCoClass

public class TlbCoClass extends TlbBase
The Class TlbClass.

Author:
  Tobias Wolf, wolf.tobias@gmx.net

- ## Field Summary

  ### Fields inherited from class com.sun.jna.platform.win32.COM.tlb.imp.TlbBase

  `bindingMode, classBuffer, content, CR, CRCR, filename, IDISPATCH_METHODS, index, IUNKNOWN_METHODS, name, TAB, TABTAB, templateBuffer, typeInfoUtil, typeLibUtil`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TlbCoClass(int index, String packagename, TypeLibUtil typeLibUtil, String bindingMode)`
  Instantiates a new tlb class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `createCLSID(String clsid)`
  `protected void`
  `createCLSIDName(String clsidName)`
  `protected void`
  `createFunctions(TypeInfoUtil typeInfoUtil, String bindingMode)`
  `protected void`
  `createInterfaces(String interfaces)`
  `protected void`
  `createJavaDocHeader(String guid, String version, String helpstring)`
  `protected String`
  `getClassTemplate()`
  Gets the class template.

  ### Methods inherited from class com.sun.jna.platform.win32.COM.tlb.imp.TlbBase

  `createClassName, createContent, createPackageName, getClassBuffer, getFilename, getName, isDispIdMode, isReservedMethod, isVTableMode, log, logError, logInfo, readTemplateFile, replaceVariable, setFilename, setName`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TlbCoClass

    public TlbCoClass(int index, String packagename, TypeLibUtil typeLibUtil, String bindingMode)
    Instantiates a new tlb class.
    Parameters:
      `index` - the index
      `typeLibUtil` - the type lib util

- ## Method Details

  - ### createFunctions

    protected void createFunctions(TypeInfoUtil typeInfoUtil, String bindingMode)

  - ### createJavaDocHeader

    protected void createJavaDocHeader(String guid, String version, String helpstring)

  - ### createCLSIDName

    protected void createCLSIDName(String clsidName)

  - ### createCLSID

    protected void createCLSID(String clsid)

  - ### createInterfaces

    protected void createInterfaces(String interfaces)

  - ### getClassTemplate

    protected String getClassTemplate()
    Description copied from class: `TlbBase`
    Gets the class template.
    Specified by:
      `getClassTemplate` in class `TlbBase`
    Returns:
      the class template